package cn.com.poc.portal.dto;

/**
 * 门户页 对话调用实体DTO
 *
 * @author alex.yao
 * @date 2025/6/19
 */
public class PortalDialoguesDto {


    /**
     * 对话id
     */
    private String dialoguesId;


    /**
     * agentId
     */
    private String agentId;

    /**
     * 问题
     */
    private String input;

    /**
     * 是否启用搜索引擎
     */
    private boolean enableSearchEngine;

    /**
     * 是否开启深度思考
     */
    private boolean enableDeepThinking;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 知识库ids
     */
    private Integer[] knowledgeIds;

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public String getDialoguesId() {
        return dialoguesId;
    }

    public void setDialoguesId(String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }

    public boolean getEnableSearchEngine() {
        return enableSearchEngine;
    }

    public void setEnableSearchEngine(boolean enableSearchEngine) {
        this.enableSearchEngine = enableSearchEngine;
    }

    public Boolean getEnableDeepThinking() {
        return enableDeepThinking;
    }

    public void setEnableDeepThinking(Boolean enableDeepThinking) {
        this.enableDeepThinking = enableDeepThinking;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer[] getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }
}
